#Female's hot tolerance
d<-read.table("tolerance chaud ad suzukii.txt", header=T)
d$time<-(d$duree)/24
f=subset(d,sexe=="femelle")
f$survie=(f$n-f$mortsL)/f$n
fCh<-na.omit(f)
attach(fCh)

yfCh<-cbind(fCh$n-fCh$mortsL,fCh$mortsL)
model<-glm(yfCh~temperature*time, family=binomial(link=logit))
library(car)
Anova

x1seq=seq(range(temperature)[1],range(temperature)[2],length=30)
x2seq=seq(range(time)[1],range(time)[2],length=30)

predtridi=function(a,b){
  predict(model,newdata=data.frame(temperature=a,time=b),type="response")
  
}
o<-outer(x1seq,x2seq,predtridi)

p=persp(x1seq,x2seq,o,axes=T,r=3,xlim=c(30,37),zlim=c(0,1),theta=120,phi=25, border="darkgrey",xlab="
        Temperature (C)",  ylab="Time (days)", zlab="
        Percentage survival", sub="Females", ticktype="detailed",col="lightgrey" ,shade = 0.5)
points=trans3d(temperature,time,(fCh$n-fCh$mortsL)/fCh$n,pmat=p)
points(points, pch=20)
text(trans3d(37,3.5,0.95,p), "Females")